This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Images

1 - 1.2

get /v1/aimlops-platform/images

Description

Get List of AI&MLOps Platform Images.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
queryimage_name
optional
Image Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformImagesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "base_image": "",
            "category": "",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "description": "",
            "icon_file": "",
            "icon_file_name": "",
            "image_attr": "",
            "image_id": "",
            "image_name": "",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "os_type": "",
            "product_type": "Enterprise",
            "project_id": "10a599e031e749b7b260868f441e862b"
        }
    ],
    "total_count": 10
}

2 - 1.1

get /v1/aimlops-platform/images

Description

Get List of AI&MLOps Platform Images.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
queryimage_name
optional
Image Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformImagesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "base_image": "",
            "category": "",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "description": "",
            "icon_file": "",
            "icon_file_name": "",
            "image_attr": "",
            "image_id": "",
            "image_name": "",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "os_type": "",
            "product_type": "Enterprise",
            "project_id": "10a599e031e749b7b260868f441e862b"
        }
    ],
    "total_count": 10
}

3 - 1.0

get /v1/aimlops-platform/images

Description

Get List of AI&MLOps Platform Images.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260319

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
queryimage_name
optional
Image Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformImagesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "base_image": "",
            "category": "",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "description": "",
            "icon_file": "",
            "icon_file_name": "",
            "image_attr": "",
            "image_id": "",
            "image_name": "",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "os_type": "",
            "product_type": "Enterprise",
            "project_id": "10a599e031e749b7b260868f441e862b"
        }
    ],
    "total_count": 10
}